/*custom button*/

@-webkit-keyframes d {
  0% {
    background-position: 0 0
  }

  50% {
    background-position: 50% 50%
  }

  to {
    background-position: 100% 100%
  }
}
@keyframes d {
  0% {
    background-position: 0 0
  }

  50% {
    background-position: 50% 50%
  }

  to {
    background-position: 100% 100%
  }
}
.btn-wrapper.d-flex {
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.btn.btn--accent:before {
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%)
}
.btn.btn--accent {
  position: relative;
  -webkit-box-shadow: 0 0 20px #fa7cff;
  box-shadow: 0 0 20px #fa7cff;
  font-family: 'Arkhip', sans-serif;
  font-style: normal;
  cursor: pointer;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: -webkit-inline-flex;
  display: inline-flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  padding: 20px 30px;
  font-weight: 400;
  font-size: 13.5px;
  line-height: 16px;
  color: #f8f8f8;
  -webkit-border-radius: 70px;
  border-radius: 70px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  text-align: center;
  font-size: 20px;
      line-height: 16px;
      color: #f8f8f8;
      min-width:230px;
  background-color: inherit;
  border: none;
}

.btn.btn--accent:hover:before {
  opacity: .2
}

.btn.btn--accent:before {
  top: 50%;
  -webkit-border-radius: 70px;
  border-radius: 70px;
  width: 100%;
  height: 100%;
  background: #0d081c;
  z-index: -1;
  -webkit-transition: .3s ease;
  -o-transition: .3s ease;
  transition: .3s ease
}

.btn.btn--accent:after,
.btn.btn--accent:before {
  content: "";
  position: absolute
}

.btn.btn--accent:after {
  top: -3px;
  bottom: -3px;
  left: -3px;
  right: -3px;
  -webkit-transition: .1s ease;
  -o-transition: .1s ease;
  transition: .1s ease;
  background: -webkit-gradient(linear, right bottom, left top, color-stop(0, #3b00df), color-stop(33%, #ff0056), color-stop(66%, #3b00df), to(#e03493));
  background: -o-linear-gradient(right bottom, #3b00df 0, #ff0056 33%, #3b00df 66%, #e03493);
  background: -webkit-linear-gradient(right bottom, #3b00df 0, #ff0056 33%, #3b00df 66%, #e03493);
  background: linear-gradient(to left top, #3b00df 0, #ff0056 33%, #3b00df 66%, #e03493);
  -webkit-border-radius: 140px;
  border-radius: 140px;
  z-index: -2;
  -webkit-animation: d 5s infinite;
  animation: d 5s infinite;
  -webkit-background-size: 300% 300%;
  background-size: 300% 300%
}